/*
 * NumericoLongitudoContieneCaracteresIncorrecta.java
 *
 * Created on 29 de Abril de 2008, 10:53 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

public class ValorNoCorrecto extends AbstractRule {

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		try {
			double vlr = Double.parseDouble(field);
			// System.out.println("campo13: " + vlr);
			if (vlr < 0 || vlr > 2) {
				// System.out.println("campo13: " + vlr);
				return true;
			}

		} catch (Exception e) {
			return true;
		}

		return false;

	}

}
